go-ring API Reference
OpenapiDevices

Get device health

Retrieves health information for a Ring device.

GET
/clients_api/ring_devices/{device_id}/health

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

application/json

application/json

curl -X GET "https://example.com/clients_api/ring_devices/1/health"
{  "battery_level": 0,  "battery_status": "string",  "signal_strength": 0,  "firmware_version": "string",  "last_update": "string"}